#
# Conditional build:
%bcond_without	indy	# use libraries without invokedynamic support (compatible with JRE 1.5+)
#
Summary:	Dynamic language for the Java Platform
Name:		groovy
Version:	3.0.7
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Java
Source0:	https://dl.bintray.com/groovy/maven/apache-%{name}-binary-%{version}.zip
# Source0-md5:	018db07155adbbb610863cbfa62d5407
URL:		http://groovy-lang.org/
%if %{with indy}
Requires:	jdk >= 1.7
%else
Requires:	jdk >= 1.5
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_java		ClassDataVersion

%description
Groovy is an agile and dynamic language for the Java Virtual Machine,
built upon Java with features inspired by languages like Python, Ruby
and Smalltalk. It seamlessly integrates with all existing Java objects
and libraries and compiles straight to Java bytecode so you can use it
anywhere you can use Java.

%prep
%setup -q
grep -rl /usr/bin/env bin | xargs sed -i -e '1{
	s,^#!.*bin/env sh,#!%{__sh},
	s,^#!.*bin/env bash,#!%{__bash},
}'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/bin}
for b in grape groovy groovyConsole groovyc groovydoc groovysh java2groovy startGroovy; do
	ln -sf %{_datadir}/%{name}/bin/$b $RPM_BUILD_ROOT%{_bindir}/$b
done

install -d $RPM_BUILD_ROOT
cp -a bin conf lib $RPM_BUILD_ROOT%{_datadir}/%{name}

%if %{with indy}
for f in indy/*-indy.jar; do
	targetname=$(basename $f -indy.jar).jar
	%{__cp} -p $f \
		$RPM_BUILD_ROOT%{_datadir}/%{name}/lib/$targetname
done
%endif

rm $RPM_BUILD_ROOT%{_datadir}/%{name}/bin/*.bat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/grape
%attr(755,root,root) %{_bindir}/groovy
%attr(755,root,root) %{_bindir}/groovyConsole
%attr(755,root,root) %{_bindir}/groovyc
%attr(755,root,root) %{_bindir}/groovydoc
%attr(755,root,root) %{_bindir}/groovysh
%attr(755,root,root) %{_bindir}/java2groovy
%attr(755,root,root) %{_bindir}/startGroovy
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/bin
%attr(755,root,root) %{_datadir}/%{name}/bin/grape
%attr(755,root,root) %{_datadir}/%{name}/bin/groovy
%attr(755,root,root) %{_datadir}/%{name}/bin/groovyConsole
%attr(755,root,root) %{_datadir}/%{name}/bin/groovyc
%attr(755,root,root) %{_datadir}/%{name}/bin/groovydoc
%attr(755,root,root) %{_datadir}/%{name}/bin/groovysh
%attr(755,root,root) %{_datadir}/%{name}/bin/java2groovy
%attr(755,root,root) %{_datadir}/%{name}/bin/startGroovy
%{_datadir}/%{name}/conf
%{_datadir}/%{name}/lib
%changelog
* Mon Dec 07 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/groovy.git;a=log;h=master

* Mon Dec 07 2020 Jan Palus <atler@pld-linux.org> a406678
- up to 3.0.7

* Sun Oct 04 2020 Jan Palus <atler@pld-linux.org> 7075a94
- up to 3.0.6

* Wed Jul 22 2020 Jan Palus <atler@pld-linux.org> 557a989
- up to 3.0.5

* Fri May 22 2020 Jan Palus <atler@pld-linux.org> c084c9b
- up to 3.0.4

* Fri Apr 10 2020 Jan Palus <atler@pld-linux.org> 140d71e
- up to 3.0.3

* Tue Mar 10 2020 Jan Palus <atler@pld-linux.org> eeec5ac
- up to 3.0.2

* Wed Mar 04 2020 Jan Palus <atler@pld-linux.org> 4bc4cec
- up to 3.0.1

* Thu Jan 16 2020 Jan Palus <atler@pld-linux.org> af8f631
- up to 2.5.9

* Wed Aug 07 2019 Jan Palus <atler@pld-linux.org> 8b0a11f
- up to 2.5.8

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> 4b2e43a
- up to 2.5.7

* Mon Feb 04 2019 Jan Palus <atler@pld-linux.org> 8f99308
- up to 2.5.6

* Tue Dec 25 2018 Jan Palus <atler@pld-linux.org> 7b5d2f0
- up to 2.5.5

* Wed Nov 14 2018 Jan Palus <atler@pld-linux.org> 8a3a7e1
- up to 2.5.4

* Mon Oct 15 2018 Jan Palus <atler@pld-linux.org> 2451563
- up to 2.5.3

* Tue Aug 14 2018 Jan Palus <atler@pld-linux.org> 30b9efc
- up to 2.5.2

* Fri Jul 13 2018 Jan Palus <atler@pld-linux.org> 82cb366
- up to 2.5.1

* Wed May 30 2018 Jan Palus <atler@pld-linux.org> d333c69
- up to 2.5.0

* Sun Apr 08 2018 Jan Palus <atler@pld-linux.org> b34adc1
- up to 2.4.15

* Sun Mar 25 2018 Jan Rękorajski <baggins@pld-linux.org> b6f61f0
- disable ClassDataVersion reqs, package contains class files with support for java 9
- rel 3

* Wed Mar 21 2018 Jan Rękorajski <baggins@pld-linux.org> e03dce7
- release 2 (by relup.sh)

